Bug 24420 - Cataloging search results Location column should account for waiting on hold items
Summary: Cataloging search results Location column should account for waiting on hold ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-14 15:38 UTC by Lucas Gass
Modified: 2020-02-14 21:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24420: Cataloging search results Location column should account for waiting on hold items (1.41 KB, patch)
2020-01-14 15:42 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24420: Cataloging search results Location column should account for waiting on hold items (1.47 KB, patch)
2020-01-15 21:19 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24420: Cataloging search results Location column should account for waiting on hold items (1.52 KB, patch)
2020-01-31 21:36 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 24420: Display waiting on hold items in the Cataloging search results Location column (1.89 KB, patch)
2020-02-05 12:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-01-14 15:38:51 UTC
In the cataloging search if you perform a search for an item that is waiting on hold the Location column will be empty.

To Recreate:
1. Place a hold on an item and trigger it.
2  Do a cataloging search that would include this record.
3. Notice that the 'Location' column does not account for this onhold item.
Comment 1 Lucas Gass 2020-01-14 15:42:46 UTC
Created attachment 97355 [details] [review]
Bug 24420: Cataloging search results Location column should account for waiting on hold items

To Test:
1. Place a hold on an item and trigger it.
2  Do a cataloging search that would include this record.
3. Notice that the 'Location' column does not account for this onhold item.
4. Apply patch and look at catalog results again.
5. You should see information display about the item being on hold.
Comment 2 ByWater Sandboxes 2020-01-15 21:19:31 UTC
Created attachment 97417 [details] [review]
Bug 24420: Cataloging search results Location column should account for waiting on hold items

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Bouzid Fergani 2020-01-31 21:36:58 UTC
Created attachment 98256 [details] [review]
Bug 24420: Cataloging search results Location column should account for waiting on hold items

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 4 Jonathan Druart 2020-02-05 12:28:26 UTC
Created attachment 98459 [details] [review]
Bug 24420: Display waiting on hold items in the Cataloging search results Location column

To Test:
1. Place a hold on an item and trigger it.
2  Do a cataloging search that would include this record.
3. Notice that the 'Location' column does not account for this onhold
item.
4. Apply patch and look at catalog results again.
5. You should see information display about the item being on hold.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-02-05 12:39:01 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-02-11 00:18:42 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 7 Lucas Gass 2020-02-14 21:45:04 UTC
doesn't clean apply and I don't think this is necessary in 19.05.x